Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573950 - Email already taken message when changing only password
Summary: Email already taken message when changing only password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-api
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Shirshendu Mukherjee
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-02 14:55 UTC by Filip Balák
Modified: 2018-09-04 07:06 UTC (History)
4 users (show)

Fixed In Version: tendrl-api-1.6.3-3.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
UI page with message (32.62 KB, image/png)
2018-05-02 14:55 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl api pull 422 0 None None None 2018-05-03 13:46:54 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:47 UTC

Description Filip Balák 2018-05-02 14:55:08 UTC
Created attachment 1430098 [details]
UI page with message

Description of problem:
User have to provide new email address when updating password for the user in several cases.

Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.3-2.el7rhgs.noarch
tendrl-api-1.6.3-1.el7rhgs.noarch
tendrl-api-httpd-1.6.3-1.el7rhgs.noarch
tendrl-commons-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-2.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

How reproducible:
60%

Steps to Reproduce:
1. Log into Tendrl as admin.
2. Go to user administration in Tendrl (Users in upper menu).
3. Create new user with normal role and with password `passworda` and email `emaila@tendrl.org`.
4. Change password and email of the user to `passwordb` and `emailb@tendrl.org`.
5. Change password and email of the user to `passworda` and `emaila@tendrl.org`.
6. Change password and email of the user to `passwordb`.

Actual results:
There is a message `Email is already taken. Please use different one.` and the password can not be changed without changing email.

Expected results:
Password could be changed without a problem.

Additional info:
If steps provided in reproducer don't deliver the error message then try to repeat them or do similar steps with emails and passwords from reproducer. The message should appear soon.

Comment 3 Filip Balák 2018-05-16 09:36:42 UTC
Seems to be fixed. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 5 errata-xmlrpc 2018-09-04 07:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.